appium – instrument error in Xcode5

Xcode 5においてコマンドラインのappiumサーバを起動し、シミュレータを起動・実行しようとすると、instrumentのエラーが確認されるようです。(Appium 0.13.0にて確認)

https://github.com/appium/appium/blob/master/docs/server-args.md

のドキュメントによると、

--native-instruments-lib

の項目に、
「(IOS-only) IOS has a weird built-in unavoidable delay. We patch this in appium. If you do not want it patched, pass in this flag.」
と記載がありました。

どうやら、appiumにビルドインされた、カスタムinstrumentは、0.13.0の時にはまだXcode5対応していないそうです。

その場合、

$ appium --native-instruments-lib=true

としてappiumサーバを起動しますと、Mac OS X側のinstrumentを使うので、シミュレータを問題なく起動・実行することができます。

ただし、この場合はシミュレータ起動が遅かったりします。

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中